## c2esp 18

=== Makefile ===
# Makefile for c2esp09 has -lcupsimage instead of /usr/lib/libcupsimage.so.2 (intention: to make sucessfully in non ubuntu distros)
# Makefile for c2esp13 has -lcups  (intention: to make sucessfully in Fedora)
LANG=C
UNAME := $(shell uname)
MACH := $(shell uname -m | sed 's/i.86/x86_32/')

ifeq ($(UNAME),SunOS)
    EUID := $(shell /usr/xpg4/bin/id -u)
    SHELL=bash
    CC=gcc
    OLDGROFF=OLDGROFF
else
    EUID := $(shell id -u)
endif

SYSNAME := $(shell uname -n)

# No version number yet...
#VERSION=0.0 #not used

# Installation prefix...
PREFIX=/usr/local
PREFIX=/usr
PREFIX=$(DESTDIR)/usr

# Pathnames for this package...
BIN=$(PREFIX)/bin
FILTERBIN=$(PREFIX)/lib/cups/filter
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/c2esp/
PPDDIR=$(PREFIX)/share/ppd/c2esp/ #new in ver08
INSTALL=install

# User ID's
LPuid=-oroot
LPgid=-glp
ifeq ($(UNAME),Darwin)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),FreeBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),OpenBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),SunOS)
    LPuid=-oroot
    LPgid=-glp
    INSTALL=/usr/ucb/install
endif
# If we aren't root, don't try to set ownership
ifneq ($(EUID),0)
    LPuid=
    LPgid=
endif

# Definition of modtime()
MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
ifeq ($(UNAME),FreeBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),OpenBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),Darwin)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),SunOS)
    MODTIME= `ls -e $$1 | cut -c42-61`
endif

#FILES is not used anymore
#FILES	=	\
#		README \
#		README.in \
#		INSTALL \
#		INSTALL.in \
#		COPYING \
#		ChangeLog \
#		Makefile \
#		jbig.c \
#		jbig.h \
#		jbig_ar.c \
#		jbig_ar.h \
#		c2esptst.c \
#		cups.h \
#		myopldecode.c \
#		gamma.ps \
#		gamma-lookup.ps \
#		PPD/*.ppd \
#		$(NULL)
#		INSTALL.osx \
#		INSTALL.usb \
#		align.ps \
#		testpage.ps \
#		foomatic-db/*/*.xml \
#		foomatic-test \
#		getweb.in \
#		usb_printerid.c \
#		usb_printerid.1in \
#		msexpand \
#		includer-man \
#		macros.man \
#		regress.txt \
#		printer-profile \
#		printer-profile.1in \


# Programs and libraries
PROGS=		myopldecode
#PROGS+=		printer-profile
FILTERS=	c2esp command2esp
#SHELLS=
MANPAGES=
#MANPAGES+=	usb_printerid.1
#MANPAGES+=	printer-profile.1
LIBJBG	=	jbig85.o jbig.o jbig_ar.o
#LIBJBG	=	jbig85.o jbig_ar.o
BINPROGS=

ifeq ($(UNAME),Linux)
#	BINPROGS += usb_printerid
endif

# Compiler flags
CFLAGS +=	-O2 -Wall
#CFLAGS +=	-g #to make debug info


#
# The usual build rules
#

all:	all-test $(FILTERS) $(PROGS) $(BINPROGS) $(SHELLS) all-done

all-test:
	#
	# Compile Dependencies...
	#
	@if ! type $(CC) >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: $(CC) is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/stdio.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      *** for Ubuntu: sudo apt-get install build-essential"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/raster.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/raster.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/image.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/image.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/sidechannel.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/sidechannel.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups development package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcups2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/driver.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/sidechannel.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups driver package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsdriver1-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	# ... OK!
	#

all-done:
	@echo
	@echo "It is possible that certain products which can be built using this"
	@echo "software module might form inventions protected by patent rights in"
	@echo "some countries (e.g., by patents about arithmetic coding algorithms"
	@echo "owned by IBM and AT&T in the USA). Provision of this software by the"
	@echo "author does NOT include any licences for any patents. In those"
	@echo "countries where a patent licence is required for certain applications"
	@echo "of this software module, you will have to obtain such a licence"
	@echo "yourself."

#linkable stuff from ddk
#CUPSDRVLIBS	=	-lcupsimage -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
#CUPSDRVLIBS_ST	=	/usr/lib/libcupsimage.a -ltiff -ljpeg -lpng /usr/lib/libcups.a -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
#CUPSLIBS	=	-lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
#CUPSLIBS_ST	=	/usr/lib/libcups.a -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt

c2esptst: c2esptst.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
#last	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage  -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt $(LIBJBG) libcupsdriver.a
#was	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage $(LIBJBG) libcupsdriver.a


c2esp: c2esp.o $(LIBJBG)
#	/usr/lib/libcupsimage.so.2 replaced by -lcupsimage
#	libcupsdriver.a removed
	$(CC) $(CFLAGS) -o $@ c2esp.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
#	previous version below, simplified version above
#	$(CC) $(CFLAGS) -o $@ c2esp.o -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt /usr/lib/libcupsimage.so.2 $(LIBJBG) 

command2esp: command2esp.o
#	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver

myopldecode: myopldecode.o $(LIBJBG)
	$(CC) $(CFLAGS) -g myopldecode.o $(LIBJBG) -o $@


#
# Installation rules
#
# install: all install-test install-prog install-ppd install-doc cups
install: all install-test install-prog install-ppd install-doc

	# Now use your printer configuration GUI to create a new printer.

install-test:
	#
	# Installation Dependencies...
	#
	# none as yet
	# ... OK!
	#
    

UDEVBIN=$(DESTDIR)/bin/

install-prog:
	#
	# Install driver, and development tools
	#

	$(INSTALL) -d $(BIN)
	$(INSTALL) -c $(PROGS) $(BIN)/

	$(INSTALL) -d $(FILTERBIN)
	$(INSTALL) -c $(FILTERS) $(SHELLS) $(FILTERBIN)/

	if [ "$(BINPROGS)" != "" ]; then \
	    $(INSTALL) -d $(UDEVBIN); \
	    $(INSTALL) -c $(BINPROGS) $(UDEVBIN); \
	fi

MODEL=$(DESTDIR)/usr/share/cups/model
LOCALMODEL=$(DESTDIR)/usr/local/share/cups/model
PPD=$(DESTDIR)/usr/share/ppd
VARPPD=/var/lp/ppd
install-ppd:
	#
	# Install PPD files for CUPS
	#
	$(INSTALL) -d -m 755 $(PPDDIR)
	    cd ppd; \
	    for ppdfile in *.ppd; do \
	$(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
	    done;


cups:	
	#
	# restart cups
	#
	if [ -x /etc/init.d/cups ]; then \
	    /etc/init.d/cups restart; \
	elif [ -x /etc/rc.d/rc.cups ]; then \
	    /etc/rc.d/rc.cups restart; \
	elif [ -x /etc/init.d/cupsys ]; then \
	    /etc/init.d/cupsys restart; \
	elif [ -x /etc/init.d/cupsd ]; then \
	    /etc/init.d/cupsd restart; \
	elif [ -x /usr/local/etc/rc.d/cups.sh ]; then \
	    /usr/local/etc/rc.d/cups.sh restart; \
	elif [ -x /usr/local/etc/rc.d/cups.sh.sample ]; then \
	    cp /usr/local/etc/rc.d/cups.sh.sample /usr/local/etc/rc.d/cups.sh; \
	    /usr/local/etc/rc.d/cups.sh restart; \
	fi

doc: README INSTALL 

install-doc: doc
	#
	# Install documentation
	#
	$(INSTALL) -d -m 755 $(DOCDIR)
	$(INSTALL) -c -m 644 COPYING $(DOCDIR)
	$(INSTALL) -c -m 644 INSTALL $(DOCDIR)
	$(INSTALL) -c -m 644 README $(DOCDIR)

# make README file from README.in
README: README.in
	rm -f $@
	sed < $@.in > $@ \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@"
	chmod -w $@

# make INSTALL file from INSTALL.in
# adds a contents section to the start, using the capitalised subject headings.
INSTALL: INSTALL.in Makefile
	rm -f $@
	echo "TOPICS" > $@.tmp
	echo "------" >> $@.tmp
	grep ^[A-Z][A-Z] $@.in | sed "s/^/    * /" >> $@.tmp
	echo >> $@.tmp
	cat $@.tmp $@.in | sed > $@ \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@"
	rm -f $@.tmp
	chmod -w $@

#
# Uninstall
#
uninstall:
#	-rm -f $(MANDIR)/man1/arm2hpdl.1 $(MANDIR)/man1/usb_printerid.1
#	-rm -rf /usr/share/ppd/c2esp/
	-rm -rf $(PPDDIR)
	-rm -f $(BIN)/myopldecode
	-rm -f $(BIN)/c2esptst
	-rm -f $(FILTERBIN)/c2esptst
	-rm -f $(BIN)/c2esp
	-rm -f $(FILTERBIN)/c2esp
#	done
# is next bit needed??
	cd ppd; for ppdfile in *.ppd; do \
	    rm -f $(MODEL)/$$ppdfile.gz; \
	done;

#
# Clean
#
clean:
	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS)
	-rm -f *.o
	-rm -f *~
	-rm -f ppd/*~
#	-rm -f index.html
	-rm -f *.tar.gz
#	-rm -f getweb
#	-rm -f patch.db
#	-rm -f $(MANPAGES) manual.pdf
#	-rm -f *.zjs *.zm *.zc *.zc? *.zc?? *.oak *.pbm *.pksm *.cmyk
#	-rm -f pksm2bitcmyk
	-rm -f *.icm.*.ps
#	cd icc2ps; $(MAKE) $@

#
# Header dependencies
#
jbig.o: jbig.h
jbig85.o: jbig85.h
c2esptst.o: jbig85.h
c2esp.o: jbig85.h 
myopldecode.o: jbig.h

#
#	PPD files
#
ppd:
	#
	# Generate PPD files using local tools
	#

=== debian/changelog ===
c2esp (18-4) unstable; urgency=low

  * Replace the PPD-updater postinst by CUPS' trigger.
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Use the new dh_pyppd.
    - Version Build-Depends to pyppd.
    - Install PPDs to the package before the dh_pyppd call.

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Aug 2011 22:42:35 +0200

c2esp (18-3) unstable; urgency=low

  * Merge from Ubuntu.

  [ Till Kamppeter ]
  * Add no-debug-files.patch. Make sure that no debug log file is
    created in /tmp and also fix a segfault on the marker level check.
  * debian/c2esp.postinst: Make automatic update of PPD actually work
    with the package's PPDs being pyppd-compressed.
  * Do not install myopldecode. It is only a debug helper and has
    security issues.

 -- Didier Raboud <odyx@debian.org>  Sun, 14 Aug 2011 20:22:41 +0200

c2esp (18-2) unstable; urgency=low

  * Compress PPDs using pyppd.
  * Add postinst to update cups installed printers' PPDs.

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jun 2011 21:56:22 +0200

c2esp (18-1) unstable; urgency=low

  * Initial release. (Closes: #629916)

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jun 2011 18:06:00 +0200

=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libcupsimage2-dev, libcupsdriver1-dev, pyppd (>= 0.4.9-3~)
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.2

Package: c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, cups-client
Breaks: cups (<< 1.5.0-2~)
Suggests: psutils
Description: Driver for Kodak ESP 5xxx AiO color inkjet printers
 The c2esp driver is an open source Linux driver for the Kodak ESP
 5xxx AiO color inkjet printers. It is likely to work on ESP 3250,
 ESP 5250, ESP 7, ESP 9.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

%:
	dh --with pyppd $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 755 debian/c2esp.ppd-updater $(CURDIR)/debian/c2esp/usr/share/cups/ppd-updaters/c2esp
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif

## c2esp 19

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Makefile for c2esp09 has -lcupsimage instead of /usr/lib/libcupsimage.so.2 (intention: to make sucessfully in non ubuntu distros)
 # Makefile for c2esp13 has -lcups  (intention: to make sucessfully in Fedora)
+# Makefile for c2esp18a has myopldecode compiled but no longer installed
 LANG=C
 UNAME := $(shell uname)
 MACH := $(shell uname -m | sed 's/i.86/x86_32/')
@@ -15,9 +16,6 @@
 
 SYSNAME := $(shell uname -n)
 
-# No version number yet...
-#VERSION=0.0 #not used
-
 # Installation prefix...
 PREFIX=/usr/local
 PREFIX=/usr
@@ -57,68 +55,35 @@
     LPgid=
 endif
 
+# I think modtime is not used 15/8/11
 # Definition of modtime()
-MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
-ifeq ($(UNAME),FreeBSD)
-    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
-endif
-ifeq ($(UNAME),OpenBSD)
-    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
-endif
-ifeq ($(UNAME),Darwin)
-    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
-endif
-ifeq ($(UNAME),SunOS)
-    MODTIME= `ls -e $$1 | cut -c42-61`
-endif
-
-#FILES is not used anymore
-#FILES	=	\
-#		README \
-#		README.in \
-#		INSTALL \
-#		INSTALL.in \
-#		COPYING \
-#		ChangeLog \
-#		Makefile \
-#		jbig.c \
-#		jbig.h \
-#		jbig_ar.c \
-#		jbig_ar.h \
-#		c2esptst.c \
-#		cups.h \
-#		myopldecode.c \
-#		gamma.ps \
-#		gamma-lookup.ps \
-#		PPD/*.ppd \
-#		$(NULL)
-#		INSTALL.osx \
-#		INSTALL.usb \
-#		align.ps \
-#		testpage.ps \
-#		foomatic-db/*/*.xml \
-#		foomatic-test \
-#		getweb.in \
-#		usb_printerid.c \
-#		usb_printerid.1in \
-#		msexpand \
-#		includer-man \
-#		macros.man \
-#		regress.txt \
-#		printer-profile \
-#		printer-profile.1in \
+#MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
+#ifeq ($(UNAME),FreeBSD)
+#    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
+#endif
+#ifeq ($(UNAME),OpenBSD)
+#    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
+#endif
+#ifeq ($(UNAME),Darwin)
+#    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
+#endif
+#ifeq ($(UNAME),SunOS)
+#    MODTIME= `ls -e $$1 | cut -c42-61`
+#endif
+
 
 
 # Programs and libraries
-PROGS=		myopldecode
-#PROGS+=		printer-profile
+PROGS=
+# put PROGS= myopldecode if you want to install this debug tool
+#PROGS=		myopldecode
+# DEVPROGS are compiled but not installed
+DEVPROGS=	myopldecode
 FILTERS=	c2esp command2esp
 #SHELLS=
 MANPAGES=
-#MANPAGES+=	usb_printerid.1
-#MANPAGES+=	printer-profile.1
-LIBJBG	=	jbig85.o jbig.o jbig_ar.o
-#LIBJBG	=	jbig85.o jbig_ar.o
+LIBJBG	=	jbig.o jbig_ar.o
+LIBJBG85=	jbig85.o jbig_ar.o
 BINPROGS=
 
 ifeq ($(UNAME),Linux)
@@ -134,7 +99,7 @@
 # The usual build rules
 #
 
-all:	all-test $(FILTERS) $(PROGS) $(BINPROGS) $(SHELLS) all-done
+all:	all-test $(FILTERS) $(PROGS) $(DEVPROGS) $(BINPROGS) $(SHELLS) all-done
 
 all-test:
 	#
@@ -206,6 +171,8 @@
 	@echo "countries where a patent licence is required for certain applications"
 	@echo "of this software module, you will have to obtain such a licence"
 	@echo "yourself."
+	@echo 
+	@echo "The debug tool myopldecode is compiled, but not installed, put PROGS=myopldecode into the makefile if you want  to install it."
 
 #linkable stuff from ddk
 #CUPSDRVLIBS	=	-lcupsimage -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
@@ -213,26 +180,17 @@
 #CUPSLIBS	=	-lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
 #CUPSLIBS_ST	=	/usr/lib/libcups.a -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt
 
-c2esptst: c2esptst.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
-#last	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage  -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt $(LIBJBG) libcupsdriver.a
-#was	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage $(LIBJBG) libcupsdriver.a
-
-
-c2esp: c2esp.o $(LIBJBG)
-#	/usr/lib/libcupsimage.so.2 replaced by -lcupsimage
-#	libcupsdriver.a removed
-	$(CC) $(CFLAGS) -o $@ c2esp.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
-#	previous version below, simplified version above
-#	$(CC) $(CFLAGS) -o $@ c2esp.o -lcups -lgssapi_krb5 -lgnutls -lz -lpthread -lm -lcrypt /usr/lib/libcupsimage.so.2 $(LIBJBG) 
+#c2esptst: c2esptst.o $(LIBJBG)
+#	$(CC) $(CFLAGS) -o $@ c2esptst.o -lcupsimage -lcups -lcupsdriver $(LIBJBG)
+
+c2esp: c2esp.o $(LIBJBG85)
+	$(CC) $(CFLAGS) -o $@ c2esp.o -lcupsimage -lcups -lcupsdriver $(LIBJBG85)
 
 command2esp: command2esp.o
-#	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
 	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
 
 myopldecode: myopldecode.o $(LIBJBG)
-	$(CC) $(CFLAGS) -g myopldecode.o $(LIBJBG) -o $@
-
+	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG)
 
 #
 # Installation rules
@@ -241,7 +199,7 @@
 install: all install-test install-prog install-ppd install-doc
 
 	# Now use your printer configuration GUI to create a new printer.
-
+	# The debug tool myopldecode is compiled, but not installed, put PROGS=myopldecode into the makefile if you want  to install it.
 install-test:
 	#
 	# Installation Dependencies...
@@ -258,8 +216,10 @@
 	# Install driver, and development tools
 	#
 
-	$(INSTALL) -d $(BIN)
-	$(INSTALL) -c $(PROGS) $(BIN)/
+	if [ "$(PROGS)" != "" ]; then \
+		$(INSTALL) -d $(BIN); \
+		$(INSTALL) -c $(PROGS) $(BIN); \
+	fi
 
 	$(INSTALL) -d $(FILTERBIN)
 	$(INSTALL) -c $(FILTERS) $(SHELLS) $(FILTERBIN)/
@@ -317,22 +277,27 @@
 # make README file from README.in
 README: README.in
 	rm -f $@
-	sed < $@.in > $@ \
-	    -e "s@\$${URLOAK}@$(URLOAK)@" \
-	    -e "s@\$${URLZJS}@$(URLZJS)@"
+	cp $@.in $@
+# changed 15/8/11 these URLs no longer used?
+#	sed < $@.in > $@ \
+#	    -e "s@\$${URLOAK}@$(URLOAK)@" \
+#	    -e "s@\$${URLZJS}@$(URLZJS)@"
 	chmod -w $@
 
 # make INSTALL file from INSTALL.in
 # adds a contents section to the start, using the capitalised subject headings.
-INSTALL: INSTALL.in Makefile
+#INSTALL: INSTALL.in Makefile
+INSTALL: INSTALL.in
 	rm -f $@
 	echo "TOPICS" > $@.tmp
 	echo "------" >> $@.tmp
 	grep ^[A-Z][A-Z] $@.in | sed "s/^/    * /" >> $@.tmp
 	echo >> $@.tmp
-	cat $@.tmp $@.in | sed > $@ \
-	    -e "s@\$${URLOAK}@$(URLOAK)@" \
-	    -e "s@\$${URLZJS}@$(URLZJS)@"
+	cat $@.tmp $@.in > $@
+# changed 15/8/11 these URLs no longer used?
+#	cat $@.tmp $@.in | sed > $@ \
+#	    -e "s@\$${URLOAK}@$(URLOAK)@" \
+#	    -e "s@\$${URLZJS}@$(URLZJS)@"
 	rm -f $@.tmp
 	chmod -w $@
 
@@ -344,8 +309,8 @@
 #	-rm -rf /usr/share/ppd/c2esp/
 	-rm -rf $(PPDDIR)
 	-rm -f $(BIN)/myopldecode
-	-rm -f $(BIN)/c2esptst
-	-rm -f $(FILTERBIN)/c2esptst
+#	-rm -f $(BIN)/c2esptst
+#	-rm -f $(FILTERBIN)/c2esptst
 	-rm -f $(BIN)/c2esp
 	-rm -f $(FILTERBIN)/c2esp
 #	done
@@ -358,7 +323,7 @@
 # Clean
 #
 clean:
-	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS)
+	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS) $(DEVPROGS)
 	-rm -f *.o
 	-rm -f *~
 	-rm -f ppd/*~
@@ -369,7 +334,7 @@
 #	-rm -f $(MANPAGES) manual.pdf
 #	-rm -f *.zjs *.zm *.zc *.zc? *.zc?? *.oak *.pbm *.pksm *.cmyk
 #	-rm -f pksm2bitcmyk
-	-rm -f *.icm.*.ps
+#	-rm -f *.icm.*.ps
 #	cd icc2ps; $(MAKE) $@
 
 #
@@ -377,7 +342,7 @@
 #
 jbig.o: jbig.h
 jbig85.o: jbig85.h
-c2esptst.o: jbig85.h
+#c2esptst.o: jbig85.h
 c2esp.o: jbig85.h 
 myopldecode.o: jbig.h

=== debian/changelog ===
c2esp (19-2) unstable; urgency=low

  * Refactoring, action 1:
    - rename c2esp to printer-driver-c2esp, add transitional package.

  * Use the CUPS PPD generator (.drv) file instead of including ready-made PPD
    files, hence drop pyppd support.
  * Bump debhelper compat to 9, for auto- buildflags.
  * Slightly rewrite description.
  * Drop superfluous shebang from ppd-updater snippet.
  * Only recommend cups-ppdc.

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Oct 2011 12:01:38 +0200

c2esp (19-1) unstable; urgency=low

  * New 19 upstream release
    - Remove no-debug-files.patch: included upstream.

 -- Didier Raboud <odyx@debian.org>  Tue, 13 Sep 2011 00:28:50 +0200

c2esp (18-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/no-debug-files.patch: Also command2esp produced debug log
    files in /tmp. Expanded the patch to fix this too.

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Aug 2011 11:15:38 +0200

=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.2

Package: printer-driver-c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-ppdc
Suggests: psutils
Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
Replaces: c2esp (<< 19-2~)
Description: printer driver for Kodak ESP 5xxx AiO color inkjet
 The c2esp driver is an open source driver for the Kodak ESP 5xxx AiO color
 inkjet printers. It is likely to work on ESP 3250, ESP 5250, ESP 7, ESP 9.

Package: c2esp
Depends: printer-driver-c2esp, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for c2esp printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-c2esp.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 644 Kodak*.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif

## c2esp 21

=== Makefile ===
# makefile for c2esp

# Makefile for c2esp09 has -lcupsimage instead of /usr/lib/libcupsimage.so.2 (intention: to make sucessfully in non ubuntu distros)
# Makefile for c2esp13 has -lcups  (intention: to make sucessfully in Fedora)
# Makefile for c2esp19 has myopldecode compiled but no longer installed
# Makefile for c2esp20 has some redundant stuff deleted, ppd file names are echoed, c2espC added
# Makefile for c2esp21 has forceppd added

LANG=C
UNAME := $(shell uname)
MACH := $(shell uname -m | sed 's/i.86/x86_32/')

ifeq ($(UNAME),SunOS)
    EUID := $(shell /usr/xpg4/bin/id -u)
    SHELL=bash
    CC=gcc
    OLDGROFF=OLDGROFF
else
    EUID := $(shell id -u)
endif

SYSNAME := $(shell uname -n)

# Installation prefix...
PREFIX=/usr/local
PREFIX=/usr
PREFIX=$(DESTDIR)/usr

# Pathnames for this package...
BIN=$(PREFIX)/bin
FILTERBIN=$(PREFIX)/lib/cups/filter
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/c2esp/
PPDDIR=$(PREFIX)/share/ppd/c2esp/
INSTALL=install

# Programs and libraries
PROGS=
SCRIPTS= c2esplog
# put PROGS= myopldecode if you want to install this debug tool
#PROGS=		myopldecode
# DEVPROGS are compiled but not installed
DEVPROGS=	myopldecode
FILTERS=	c2esp c2espC command2esp
#SHELLS=
MANPAGES=
LIBJBG	=	jbig.o jbig_ar.o
LIBJBG85=	jbig85.o jbig_ar.o
BINPROGS=

# User ID's
LPuid=-oroot
LPgid=-glp
ifeq ($(UNAME),Darwin)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),FreeBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),OpenBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),SunOS)
    LPuid=-oroot
    LPgid=-glp
    INSTALL=/usr/ucb/install
endif
# If we aren't root, don't try to set ownership
ifneq ($(EUID),0)
    LPuid=
    LPgid=
endif

ifeq ($(UNAME),Linux)
#	BINPROGS += usb_printerid
endif

# Compiler flags
CFLAGS +=	-O2 -Wall
#CFLAGS +=	-g #to make debug info


#
# The usual build rules
#

all:	all-test $(FILTERS) $(PROGS) $(DEVPROGS) $(BINPROGS) $(SHELLS) all-done

all-test:
	#
	# Compile Dependencies...
	#
#	@declare EXITCODE = 0;
	@if ! type $(CC) >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: $(CC) is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/stdio.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      *** for Ubuntu: sudo apt-get install build-essential"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/raster.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/raster.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/image.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/image.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/sidechannel.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/sidechannel.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups development package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcups2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/cups/driver.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/driver.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups driver package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsdriver1-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi

	
	# ... OK!
	#

all-done:
	@echo
	@echo "It is possible that certain products which can be built using this"
	@echo "software module might form inventions protected by patent rights in"
	@echo "some countries (e.g., by patents about arithmetic coding algorithms"
	@echo "owned by IBM and AT&T in the USA). Provision of this software by the"
	@echo "author does NOT include any licences for any patents. In those"
	@echo "countries where a patent licence is required for certain applications"
	@echo "of this software module, you will have to obtain such a licence"
	@echo "yourself."
	@echo 

c2esp: c2esp.o c2espcommon.o $(LIBJBG85)
	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o -lcupsimage -lcups -lcupsdriver $(LIBJBG85)

c2espC: c2espC.o c2espcommon.o 
	$(CC) $(CFLAGS) -o $@ c2espC.o c2espcommon.o -lcupsimage -lcups -lcupsdriver -lz

command2esp: command2esp.o
	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver

myopldecode: myopldecode.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz

#
# Installation rules
#
install: all install-test install-prog install-ppd install-doc

	# Now use your printer configuration GUI to create a new printer.
	#
	# ESP Cxxx SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
	# Note that the ESP Cxxx support is a new feature and is untested
	# So it is not likely that it will work correctly. Please report
	# how it works / does not work in the help forum.
	# http://sourceforge.net/projects/cupsdriverkodak/forums
	#

	@if [ "$(PROGS)" = "" ]; then \
		echo "the development tool myopldecode was not installed"; \
	fi
	@if [ "$(PROGS)" = "myopldecode" ]; then \
		echo "the development tool myopldecode was installed"; \
	fi

	#

install-test:
	#
	# Installation Dependencies...
	#
	# none as yet
	# ... OK!
	#
    

UDEVBIN=$(DESTDIR)/bin/

install-prog:
	#
	# Install driver, and development tools
	#

	if [ "$(PROGS)" != "" ]; then \
		$(INSTALL) -d $(BIN); \
		$(INSTALL) -c $(PROGS) $(BIN); \
	fi

	if [ "$(SCRIPTS)" != "" ]; then \
		$(INSTALL) -d $(BIN); \
		$(INSTALL) -c $(SCRIPTS) $(BIN); \
	fi
	$(INSTALL) -d $(FILTERBIN)
	$(INSTALL) -c $(FILTERS) $(SHELLS) $(FILTERBIN)/

	if [ "$(BINPROGS)" != "" ]; then \
	    $(INSTALL) -d $(UDEVBIN); \
	    $(INSTALL) -c $(BINPROGS) $(UDEVBIN); \
	fi

MODEL=$(DESTDIR)/usr/share/cups/model
#LOCALMODEL=$(DESTDIR)/usr/local/share/cups/model
PPD=$(DESTDIR)/usr/share/ppd
VARPPD=/var/lp/ppd
install-ppd:
	#
	# Install PPD files for CUPS
	#
	$(INSTALL) -d -m 755 $(PPDDIR)
	    cd ppd; \
	    for ppdfile in *.ppd; do echo $$ppdfile; \
	    $(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
	    done;

forceppd:
	# attempt to assign new ppds to existing queues
	./c2esp.postinst configure

doc: README INSTALL 

install-doc: doc
	#
	# Install documentation
	#
	$(INSTALL) -d -m 755 $(DOCDIR)
	$(INSTALL) -c -m 644 COPYING $(DOCDIR)
	$(INSTALL) -c -m 644 INSTALL $(DOCDIR)
	$(INSTALL) -c -m 644 README $(DOCDIR)

# make README file from README.in just copy and make read only
README: README.in
	rm -f $@
	cp $@.in $@
	chmod -w $@

# make INSTALL file from INSTALL.in
# adds a contents section to the start, using the capitalised subject headings.
INSTALL: INSTALL.in Makefile
#INSTALL: INSTALL.in
	rm -f $@
	echo "TOPICS" > $@.tmp
	echo "------" >> $@.tmp
	grep ^[A-Z][A-Z] $@.in | sed "s/^/    * /" >> $@.tmp
	echo >> $@.tmp
	cat $@.tmp $@.in > $@
	rm -f $@.tmp
	chmod -w $@

#
# Uninstall
#
uninstall:
#	-rm -f $(MANDIR)/man1/arm2hpdl.1 $(MANDIR)/man1/usb_printerid.1
	-rm -rf $(PPDDIR)
	-rm -f $(BIN)/myopldecode
	-rm -f $(BIN)/c2esp
#	-rm -f $(BIN)/cupslog
	-rm -f $(BIN)/c2esplog
	-rm -f $(FILTERBIN)/c2esp
	-rm -f $(FILTERBIN)/c2espC
#	done
#remove any compessed ppds
	cd ppd; for ppdfile in *.ppd; do \
	    rm -f $(MODEL)/$$ppdfile.gz; \
	done;

#
# Clean
#
clean:
	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS) $(DEVPROGS)
	-rm -f *.o
	-rm -f *~
	-rm -f ppd/*~
	-rm -f *.tar.gz
#	-rm -f $(MANPAGES) manual.pdf

#
# Header dependencies
#
jbig.o: jbig.h
jbig85.o: jbig85.h
c2esp.o: jbig85.h c2espcommon.h
#c2espC.o: zlib.h 
myopldecode.o: jbig.h

#
#	PPD files
#
ppd:
	#
	# Generate PPD files using local tools
	#

=== debian/changelog ===
c2esp (21-1) unstable; urgency=low

  * New 21 upstream release.
    - Goes to unstable.

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 10:12:51 +0100

c2esp (21~rc3-1) experimental; urgency=low

  * New 21~rc3 upstream release.
    - Update debian/copyright with new files.
    - Also install the new cups .drv file.

  * Update long description to include the complete list of supported
    printers.
  * Update the ppd-updater regexp to match the new driver too.

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Nov 2011 17:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,16 @@
 Suggests: psutils
 Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
 Replaces: c2esp (<< 19-2~)
-Description: printer driver for Kodak ESP 5xxx AiO color inkjet
- The c2esp driver is an open source driver for the Kodak ESP 5xxx AiO color
- inkjet printers. It is likely to work on ESP 3250, ESP 5250, ESP 7, ESP 9.
+Description: printer driver for Kodak ESP AiO color inkjet Series
+ The c2esp driver is an open source driver for the Kodak ESP AiO color
+ inkjet printers series. It is likely to work on the
+ ESP 3200 Series AiO,
+ ESP 5200 Series AiO,
+ ESP 5500 Series AiO,
+ ESP 6100 Series AiO,
+ ESP 7200 Series AiO,
+ ESP 9200 Series AiO and
+ ESP C100 Series AiO.
 
 Package: c2esp
 Depends: printer-driver-c2esp, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 
 override_dh_install:
 	dh_install
-	install -D -m 644 Kodak*.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
+	install -D -m 644 KodakESP_09.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
+	install -D -m 644 KodakESP_C_03.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
 ifeq ($(derives_from_ubuntu),yes)
 	# Install the apport hook on Ubuntu and derivatives
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py

## c2esp 23

=== Makefile ===
--- 
+++ 
@@ -170,8 +170,8 @@
 c2espC: c2espC.o c2espcommon.o 
 	$(CC) $(CFLAGS) -o $@ c2espC.o c2espcommon.o -lcupsimage -lcups -lcupsdriver -lz
 
-command2esp: command2esp.o
-	$(CC) $(CFLAGS) -o $@ command2esp.o -lcups -lcupsdriver
+command2esp: command2esp.o c2espcommon.o
+	$(CC) $(CFLAGS) -o $@ command2esp.o  c2espcommon.o -lcups -lcupsdriver
 
 myopldecode: myopldecode.o $(LIBJBG)
 	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz
@@ -183,9 +183,8 @@
 
 	# Now use your printer configuration GUI to create a new printer.
 	#
-	# ESP Cxxx SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
-	# Note that the ESP Cxxx support is a new feature and is untested
-	# So it is not likely that it will work correctly. Please report
+	# ESP Cxxx and Hero SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
+	# Note that the ESP Cxxx and Hero support is a new feature. Please report
 	# how it works / does not work in the help forum.
 	# http://sourceforge.net/projects/cupsdriverkodak/forums
 	#
@@ -317,12 +316,14 @@
 c2esp.o: jbig85.h c2espcommon.h
 #c2espC.o: zlib.h 
 myopldecode.o: jbig.h
+command2esp.o: c2espcommon.h
 
 #
 #	PPD files
 #
-ppd:
+ppd: KodakESP_10.drv KodakESP_C_05.drv
 	#
 	# Generate PPD files using local tools
 	#
-
+	ppdc KodakESP_10.drv
+	ppdc KodakESP_C_05.drv

=== debian/changelog ===
c2esp (23-1) unstable; urgency=low

  * New 23 upstream release.
    - Update description to cope with the newly supported printers.
    - Update install commands to cope with the new source driver names.

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Dec 2011 19:13:16 +0100

=== debian/control ===
--- 
+++ 
@@ -17,15 +17,21 @@
 Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
 Replaces: c2esp (<< 19-2~)
 Description: printer driver for Kodak ESP AiO color inkjet Series
- The c2esp driver is an open source driver for the Kodak ESP AiO color
- inkjet printers series. It is likely to work on the
+ The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
+ AiO color inkjet printers series. It is likely to work on the 
  ESP 3200 Series AiO,
  ESP 5200 Series AiO,
  ESP 5500 Series AiO,
  ESP 6100 Series AiO,
  ESP 7200 Series AiO,
- ESP 9200 Series AiO and
+ ESP 9200 Series AiO,
  ESP C100 Series AiO.
+ ESP C310 Series AiO,
+ HERO 3.1 AiO,
+ HERO 5.1 AiO,
+ HERO 6.1 AiO,
+ HERO 7.1 AiO and
+ HERO 9.1 AiO.
 
 Package: c2esp
 Depends: printer-driver-c2esp, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 644 KodakESP_10.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
	install -D -m 644 KodakESP_C_05.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif

## c2esp 24

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,7 @@
 
 # Compiler flags
 CFLAGS +=	-O2 -Wall
+#CFLAGS +=	-m32 -O2 -Wall # to produce 32-bit binaries on 64-bit OS
 #CFLAGS +=	-g #to make debug info
 
 
@@ -183,9 +184,7 @@
 
 	# Now use your printer configuration GUI to create a new printer.
 	#
-	# ESP Cxxx and Hero SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
-	# Note that the ESP Cxxx and Hero support is a new feature. Please report
-	# how it works / does not work in the help forum.
+	# help forum.
 	# http://sourceforge.net/projects/cupsdriverkodak/forums
 	#
 
@@ -321,9 +320,9 @@
 #
 #	PPD files
 #
-ppd: KodakESP_10.drv KodakESP_C_05.drv
+ppd: KodakESP_10.drv KodakESP_C_06.drv
 	#
 	# Generate PPD files using local tools
 	#
 	ppdc KodakESP_10.drv
-	ppdc KodakESP_C_05.drv
+	ppdc KodakESP_C_06.drv

=== debian/changelog ===
c2esp (24-2) unstable; urgency=low

  * Use the Debian-provided libjbig:
    - Add libjbig-dev to Build-Depends;
    - Add 00-system-libjbig.patch.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 Apr 2012 10:44:13 +0200

c2esp (24-1) unstable; urgency=low

  * New 24 upstream release.
    - Update description to cope with the newly supported printers.
    - Update install commands to cope with the new source driver names.

  * Update debian/copyright with copyright-format 1.0; update years.
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Mar 2012 10:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev
+Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev, libjbig-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
 Homepage: http://cupsdriverkodak.sf.net/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: printer-driver-c2esp
 Architecture: any
@@ -19,6 +19,7 @@
 Description: printer driver for Kodak ESP AiO color inkjet Series
  The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
  AiO color inkjet printers series. It is likely to work on the 
+ ESP 2100 Series AiO,
  ESP 3200 Series AiO,
  ESP 5200 Series AiO,
  ESP 5500 Series AiO,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_install:
 	dh_install
 	install -D -m 644 KodakESP_10.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
-	install -D -m 644 KodakESP_C_05.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
+	install -D -m 644 KodakESP_C_06.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
 ifeq ($(derives_from_ubuntu),yes)
 	# Install the apport hook on Ubuntu and derivatives
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py

## c2esp 25c

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # Makefile for c2esp19 has myopldecode compiled but no longer installed
 # Makefile for c2esp20 has some redundant stuff deleted, ppd file names are echoed, c2espC added
 # Makefile for c2esp21 has forceppd added
+# Makefile for c2esp25 has minor changes. (*.in files are deleted from the doc directory)
+# Makefile for c2esp25c runs ppdc at install stage if it is installed
 
 LANG=C
 UNAME := $(shell uname)
@@ -25,6 +27,8 @@
 PREFIX=/usr/local
 PREFIX=/usr
 PREFIX=$(DESTDIR)/usr
+
+PPDCFOUND=0
 
 # Pathnames for this package...
 BIN=$(PREFIX)/bin
@@ -149,7 +153,6 @@
 	    exit 1; \
 	fi
 
-	
 	# ... OK!
 	#
 
@@ -182,9 +185,11 @@
 #
 install: all install-test install-prog install-ppd install-doc
 
+	#
 	# Now use your printer configuration GUI to create a new printer.
 	#
-	# help forum.
+	# ESP Cxxx and Hero SUPPORT NOW INCLUDED FOR MONO & COLOUR, 300DPI & 600DPI
+	# Please report problems in the help forum.
 	# http://sourceforge.net/projects/cupsdriverkodak/forums
 	#
 
@@ -201,7 +206,11 @@
 	#
 	# Installation Dependencies...
 	#
-	# none as yet
+# new in c2esp25c
+	@if test -f /usr/bin/ppdc; then \
+	    echo "ppdc is available"; \
+	fi
+
 	# ... OK!
 	#
     
@@ -236,11 +245,32 @@
 VARPPD=/var/lp/ppd
 install-ppd:
 	#
+	# Generate PPD files using ppdc tool of currently installed CUPS version
+	# run ppdc if it is present
+	@if test -f /usr/bin/ppdc; then \
+	    echo "ppdc is available so running it"; \
+		mkdir -p ppd; \
+		ppdc KodakESP_14.drv; \
+		ppdc KodakESP_C_05.drv; \
+	fi
+
+	#
+	# work around a bug in CUPS ppdc 1.4.x for "8x10" format by post-editing PPD files
+	#
+	for i in ppd/*.ppd ; do \
+	    mv $$i $$i.orig ; \
+	    sed '1,$$s/8 x 10"/8x10/g' $$i.orig > $$i ; \
+	done
+	rm ppd/*.orig
+
+	#
 	# Install PPD files for CUPS
 	#
 	$(INSTALL) -d -m 755 $(PPDDIR)
+	rm -f $(PPDDIR)/*.ppd
 	    cd ppd; \
-	    for ppdfile in *.ppd; do echo $$ppdfile; \
+	    for ppdfile in *.ppd; do \
+	        echo $$ppdfile; \
 	    $(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
 	    done;
 
@@ -254,10 +284,13 @@
 	#
 	# Install documentation
 	#
+	rm -f $(DOCDIR)/INSTALL.in
+	rm -f $(DOCDIR)/README.in
 	$(INSTALL) -d -m 755 $(DOCDIR)
 	$(INSTALL) -c -m 644 COPYING $(DOCDIR)
 	$(INSTALL) -c -m 644 INSTALL $(DOCDIR)
 	$(INSTALL) -c -m 644 README $(DOCDIR)
+	$(INSTALL) -c -m 644 c2esp.txt $(DOCDIR)
 
 # make README file from README.in just copy and make read only
 README: README.in
@@ -282,16 +315,14 @@
 # Uninstall
 #
 uninstall:
-#	-rm -f $(MANDIR)/man1/arm2hpdl.1 $(MANDIR)/man1/usb_printerid.1
 	-rm -rf $(PPDDIR)
 	-rm -f $(BIN)/myopldecode
 	-rm -f $(BIN)/c2esp
-#	-rm -f $(BIN)/cupslog
 	-rm -f $(BIN)/c2esplog
 	-rm -f $(FILTERBIN)/c2esp
 	-rm -f $(FILTERBIN)/c2espC
 #	done
-#remove any compessed ppds
+#remove any compressed ppds
 	cd ppd; for ppdfile in *.ppd; do \
 	    rm -f $(MODEL)/$$ppdfile.gz; \
 	done;
@@ -299,11 +330,12 @@
 #
 # Clean
 #
-clean:
+clean: install-test
 	-rm -f $(PROGS) $(BINPROGS) $(SHELLS) $(FILTERS) $(DEVPROGS)
 	-rm -f *.o
 	-rm -f *~
-	-rm -f ppd/*~
+# Do not remove ppds, so that users without ppdc can install them
+#	-rm -f ppd/*
 	-rm -f *.tar.gz
 #	-rm -f $(MANPAGES) manual.pdf
 
@@ -313,16 +345,8 @@
 jbig.o: jbig.h
 jbig85.o: jbig85.h
 c2esp.o: jbig85.h c2espcommon.h
-#c2espC.o: zlib.h 
+c2espC.o: c2espcommon.h
 myopldecode.o: jbig.h
 command2esp.o: c2espcommon.h
-
-#
-#	PPD files
-#
-ppd: KodakESP_10.drv KodakESP_C_06.drv
-	#
-	# Generate PPD files using local tools
-	#
-	ppdc KodakESP_10.drv
-	ppdc KodakESP_C_06.drv
+c2espcommon.o: c2espcommon.h
+

=== debian/changelog ===
c2esp (25c-1ubuntu1) quantal; urgency=low

  * debian/patches/adapt-to-cups-1.6-and-cups-filters.patch: Make package
    building with CUPS 1.6.x and cups-filters.
  * debian/control: Changed build dependencies from libcupsdriver1-dev to
    libcupsfilters-dev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  3 Sep 2012 13:36:29 +0200

c2esp (25c-1) experimental; urgency=low

  * New 25c upstream release.

 -- Didier Raboud <odyx@debian.org>  Tue, 17 Jul 2012 08:18:22 +0200

c2esp (25a-1) experimental; urgency=low

  * New 25a upstream release.
    - The c2esp filter for the ESP series has been significantly
      rewritten to enable some ppd attributes like cupsInkLimit and
      cupsBlackGeneration.
    - The grey ink is now used. This makes grey areas properly grey
      (less green than they used to be).
    - Because of the grey ink and cupsInkLimit, ink cartridges should
      last longer.
    - The Black&White option is now dithered properly (and also uses the
      grey ink).

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 02:28:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsdriver1-dev, libjbig-dev
+Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev, libcupsfilters-dev, libjbig-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
 Homepage: http://cupsdriverkodak.sf.net/

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 644 KodakESP_14.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
	install -D -m 644 KodakESP_C_05.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif
